# UserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user_email** | **str** | User&#39;s email address. | 
**user_password** | **str** | The password to assign to this user in SDKMS. | 
**account_role** | [**list[UserAccountFlags]**](UserAccountFlags.md) |  | [optional] 
**add_groups** | [**list[UserGroup]**](UserGroup.md) | The user will be added to security groups in this list. | [optional] 
**del_groups** | [**list[UserGroup]**](UserGroup.md) | The User will be removed from security groups in this list. | [optional] 
**change_groups** | [**list[UserGroup]**](UserGroup.md) |  | [optional] 
**enabled** | **bool** | Whether this application is enabled. | [optional] 
**add_u2f_devices** | [**list[U2fAddDeviceRequest]**](U2fAddDeviceRequest.md) |  | [optional] 
**del_u2f_devices** | [**list[U2fDelDeviceRequest]**](U2fDelDeviceRequest.md) |  | [optional] 
**rename_u2f_devices** | [**list[U2fRenameDeviceRequest]**](U2fRenameDeviceRequest.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


